# Въвеждане на брайл за NVDA от компютърна клавиатура (PC Keyboard Braille Input for NVDA) #

* Author: NV Access Limited, Noelia Ruiz Martínez
* Copyright: 2012-2023 NV Access Limited, Noelia Ruiz Martínez
* Лиценз: GNU General Public License версия 2.0
* [версия 2014.1][3] (съвместима с версии на NVDA от 2017.3 до 2019.2)

Тази добавка за NVDA позволява да се въвежда брайл чрез компютърната
клавиатура. В момента се поддържат следните клавиатурни подредби:

* Английска QWERTY клавиатура.
* Френски (Франция).
* Немски (Германия).
* Италиански (Италия).
* Персийски.
* Португалски (Португалия).
* Испански (Испания и Мексико).
* Турски.

## Начин на конфигуриране

Добавката може да бъде конфигурирана от категорията си в диалоговия прозорец
за настройки на NVDA, под менюто на NVDA, подменю "Настройки". Жест за
отваряне на панела за настройки на добавката може да бъде зададен от
диалоговия прозорец "Жестове на въвеждане", категория "Настройки".

Поставете отметка в съответното поле, ако искате да въвеждате само с една
ръка, или се уверете, че не е поставена отметка, ако предпочитате да пишете,
като използвате стандартния режим (с две ръце).

Можете също така да изберете дали NVDA да изговаря единична въведена точка
(използвайки функцията "режим за въвеждане с една ръка").

Ако искате точките да се изпращат автоматично, когато пишете с една ръка,
използвайте въртеливото поле, за да зададете време за изчакване, по-голямо
от 0.

Освен това можете да зададете знаците за изпращане, изчистване и съставяне
на точки, когато въвеждате с една ръка, както и знаци, които да се игнорират
в режим на въвеждане с една ръка или стандартен режим.

Също така е възможно да възстановите настройките по подразбиране в панела с
настройки на добавката.

## Начин на ползване

1. Натиснете NVDA+0, за да включите въвеждането на брайл. Този жест може да
   бъде променен от диалоговия прозорец "Жестове на въвеждане", категория
   "Брайл".
2. Въвеждайте брайл, като натискате заедно клавиши от компютърната
   клавиатура, все едно го въвеждате от брайлова клавиатура.

	* Ако искате да въвеждате текст с две ръце, използвайте следните клавиши
	  ако работите с английска QWERTY клавиатура или клавишите, разположени на
	  същите позиции при други клавиатурни подредби:

		* F, D и S съответно за точки 1, 2 и 3.
		* J, K и L съответно за точки 4, 5 и 6.
		* Използвайте клавишите A и ; (точка и запетая) съответно за точки 7 и 8.
		* Можете да използвате и клавишите нна реда над текущия (т.е. Q, W, E, R,
		  U, I, O и P).

	* Ако искате да въвеждате текст с една ръка, можете да съставяте символи,
	  като натискате клавиши едновременно или чрез няколко натискания на
	  клавиши, като добавяте точки, съответстващи на желания символ. Натиснете
	  G или H, за да въведете символа, когато сте добавили всичките му
	  точки. Ако направите грешка при съставянето изграждането на знак, можете
	  да изчистите точките преди да го напишете, като натиснете T или
	  Y. Клавишите, използвани в английската QWERTY клавиатурна подредба са
	  следните:

		* Лява ръка: F, D, S, R, E, W, A, Q за точки 1, 2, 3, 4, 5, 6, 7 и 8.
		* Дясна ръка: J, K, L, U, I, O, ; (точка и запетая), P за точки 1, 2, 3,
		  4, 5, 6, 7 и 8.

3. Можете да натискате повечето други клавиши, както обикновено, включително
   интервал, BackSpace, ENTER и функционалните клавиши. Внимавайте да не
   натискате Alt+Shift, тъй като промяната на клавиатурната подредба може да
   повлияе на въведените точки.
4. Натиснете КЛАВИША ЗА ИНТЕРВАЛ в комбинация с брайлови точки, за да
   преместите системния курсор (или да прочетете текущия ред), все едно
   използвате брайлов дисплей. Например Интервал+Точка1 за емулиране на
   стрелка нагоре, Интервал+Точка4+Точка5+Точка6 за емулиране на
   Control+End, Интервал+Точка1+Точка4 за прочитане на текущия ред и т.н.
5. Натиснете NVDA+0, за да изключите режима на брайлово въвеждане.

## Важни забележки

Тази добавка използва вградената в NVDA поддръжка за въвеждане на
брайл. Следователно използваната входна таблица е същата, която е зададена в
прозореца с настройките за брайл на NVDA.

Някои клавиатури, особено тези при преносимите компютри, не поддържат
едновременното натискане на определени комбинации от клавиши. Когато това се
случи, някои клавиши просто биват игнорирани. За съжаление нищо не може да
се направи за да се оправи това,, тъй като сигналите от клавишите просто
никога не достигат до Windows или NVDA. В някои случаи използването на
горния ред от клавиши с една от двете или и с двете ръце може да помогне,
ако вашата клавиатура позволява натискането на комбинации от тези клавиши.


## Промени във версия 28.0.0

* Променени са стойностите по подразбиране за режима с една ръка.

## Промени във версия 2023.02.23

* Добавена е възможност за конфигуриране на клавиши, използвани за въвеждане
  на точки в режим за въвеждане с една ръка.
* Сега можете да конфигурирате клавиши, които да бъдат игнорирани при
  въвеждане на брайл.
* Към панела с настройки на добавката е добавен бутон за възстановяване на
  настройките по подразбиране.
* Съвместима с NVDA 2023.1.

## Промени във версия 2022.1

* Добавена е възможност за конфигуриране на клавиши за изпращане и
  изчистване на точки при писане с една ръка. Също така е възможно да
  зададете време за изчакване за автоматично изпращане на точки, без да
  натискате клавиши за потвърждение.

## Промени във версия 2021.1

* NVDA няма да се опитва да изговаря точките, когато режимът с една ръка не
  е активен или ако е натиснат интервал.
* Съвместима с NVDA 2021.1.

## Промени във версия 2020.1

* Можете да натиснете КЛАВИША ЗА ИНТЕРВАЛ в комбинация с брайлови точки, за
  да емулирате жестове, подобно на командите, налични в брайловите дисплеи.
* Добавена е опция за произнасяне на единични точки, въведени в режим за
  въвеждане с една ръка.

## Сътрудници

* James Teh
* Noelia.
* Mohammadreza Rashad
* Cagri Dogan
* Bernd Dorer
* Ângelo Abrantes
* Cyrille Bougot
* Abdel.

[[!tag dev stable]]

[3]: https://www.nvaccess.org/addonStore/legacy?file=pckbbrl-o
