# Введення шрифтом Брайля з клавіатури ПК для NVDA #

* Author: NV Access Limited, Noelia Ruiz Martínez
* Copyright: 2012-2023 NV Access Limited, Noelia Ruiz Martínez
* Ліцензія: GNU General Public License версія 2.0
* [Версія 2014.1][3] (сумісна із NVDA 2017.3 до 2019.2)

Цей додаток NVDA дозволяє вводити шрифт Брайля за допомогою клавіатури ПК.
Наразі підтримуються такі розкладки клавіатури:

* Англійська клавіатура QWERTY.
* Французька (Франція).
* Німецька (Німеччина).
* Італійська (Італія).
* Перська.
* Португальська (Португалія).
* Іспанська (Іспанія та Мексика).
* Турецька.

## Як налаштувати

Додаток можна налаштувати у діалозі налаштувань NVDA у меню NVDA, підменю
Параметри, Налаштування. Жест для відкриття панелі налаштувань додатка можна
призначити у діалозі Жести вводу, категорії конфігурація.

Установіть відповідний прапорець, якщо ви хочете друкувати лише однією
рукою, або переконайтеся, що цей прапорець не встановлено, якщо ви віддаєте
перевагу стандартному режиму (двома руками).

Ви також можете вибрати, чи повинна NVDA промовляти одну введену крапку (за
допомогою функції «режим однієї руки»).

Якщо ви хочете, щоб крапки надсилалися автоматично під час введення тексту
однією рукою, скористайтеся відповідним повзунком, щоб установити час
очікування більше 0.

Крім того, ви можете встановити символи для надсилання, очищення та
складання крапок при наборі однією рукою, а також символи, які
ігноруватимуться при наборі однією рукою або в стандартному режимі.

Також можна відновити початкові налаштування на панелі налаштувань додатка.

## Як використовувати

1. Натисніть NVDA+0, щоб увімкнути введення шрифтом Брайля. Цей жест можна
   змінити у діалозі Жести вводу, категорія Брайля.
2. Набирайте текст шрифтом Брайля, натискаючи клавіші разом на клавіатурі
   комп'ютера так, ніби це Брайлівська клавіатура.

	* Якщо ви хочете вводити текст двома руками, використовуйте наступні
	  клавіші, якщо ви працюєте з англійською клавіатурою QWERTY, або клавіші,
	  розташовані на відповідних позиціях в інших розкладках:

		* f, d і s для крапок 1, 2 і 3 відповідно.
		* j, k і l для крапок 4, 5 і 6 відповідно.
		* Використовуйте клавіші a та ; (крапка з комою) для крапок 7 і 8
		  відповідно.
		* Ви також можете використовувати клавіші в ряді вище; тобто q, w, e, r,
		  u, i, o та p.

	* Якщо ви хочете вводити текст однією рукою, ви можете створювати символи,
	  натискаючи клавіші одночасно або в кілька натискань, додаючи крапки, що
	  відповідають потрібному символу. Натисніть g або h, щоб ввести символ,
	  коли ви додали всі його крапки. Якщо ви помилилися при введенні символу,
	  ви можете очистити крапки перед його введенням, натиснувши t або
	  y. Клавіші, що використовуються в англійській клавіатурі QWERTY, наведені
	  нижче:

		* Ліва рука: f, d, s, r, e, w, a, q для крапок 1, 2, 3, 4, 5, 6, 7 і 8.
		* Права рука: j, k, l, u, i, o, ; (крапка з комою), p для крапок 1, 2, 3,
		  4, 5, 6, 7 і 8.

3. Ви можете натискати більшість інших клавіш у звичайному режимі, включаючи
   клавішу пробіл, backspace, enter та функціональні клавіші. Намагайтеся не
   натискати alt+shift, оскільки зміна розкладки клавіатури може вплинути на
   введені крапки.
4. Натисніть пробіл у поєднанні з крапками Брайля, щоб перемістити системний
   курсор (або повідомити про поточний рядок), так само, як якщо б ви
   використовували дисплей Брайля. Наприклад, пробіл+крапка1 для емуляції
   стрілки вгору, пробіл+крапка4+крапка5+крапка6 для емуляції клавіш
   ctrl+вкінець, пробіл+крапка1+крапка4 для звіту про поточний рядок тощо.
5. Натисніть NVDA+0, щоб вимкнути введення шрифтом Брайля.

## Важливі примітки

Цей додаток використовує вбудовану підтримку брайлівського введення NVDA.
Тому використовується таблиця введення, вказана в діалозі налаштувань шрифту
Брайля в NVDA.

Деякі клавіатури, зокрема клавіатури ноутбуків, не можуть працювати з
певними комбінаціями клавіш.  Коли це відбувається, певні клавіші просто
ігноруються.  На жаль, нічого не можна зробити, щоб виправити це, оскільки
Windows або NVDA просто ніколи не отримують ці клавіші.  У деяких випадках
може допомогти використання верхнього ряду клавіш однією або обома руками,
оскільки ваша клавіатура може підтримувати ці клавіші.


## Зміни для 28.0.0

* Changed default values for One hand mode.

## Changes for 2023.02.23

* Added ability to configure keys used to type dots in one hand mode.
* Now you can configure keys that should be ignored when typing in braille.
* A restore to defaults button has been added to the add-on settings panel.
* Compatible with NVDA 2023.1.

## Changes for 2022.1

* Added ability to configure keys to send and clear dots when writing with
  one hand. Also, it's possible to set a timeout to send dots automatically,
  without pressing confirmation keys.

## Changes for 2021.1

* NVDA won't try to speak dots when One hand mode is not active or if space
  has been pressed.
* Compatible with NVDA 2021.1.

## Changes for 2020.1

* You can press space bar in combination with braille dots to emulate
  gestures, similar to commands available in braille displays.
* Added an option to speak single dots typed in one hand mode.

## Учасники

* James Teh
* Noelia.
* Mohammadreza Rashad
* Cagri Dogan
* Bernd Dorer
* Ângelo Abrantes
* Cyrille Bougot
* Abdel.

[[!tag dev stable]]

[3]: https://www.nvaccess.org/addonStore/legacy?file=pckbbrl-o
