# PC 盲文键盘输入 #

* Author: NV Access Limited, Noelia Ruiz Martínez
* Copyright: 2012-2023 NV Access Limited, Noelia Ruiz Martínez
* 许可证：GNU通用公共许可证版本2.0
* [版本 2014.1][3]（与 NVDA 2017.3至2019.2兼容）

此插件允许通过 PC 键盘输入盲文。目前，支持以下键盘布局：

* 英文 QWERTY 键盘。
* 法语（法国）。
* 德语（德国）。
* 意大利语（意大利）。
* 波斯语。
* 葡萄牙语（葡萄牙）。
* 西班牙语（西班牙和墨西哥）。
* 土耳其语。

## 如何配置

可从 NVDA 的设置对话框中的相应类别配置此插件。还可从输入手势对话框的配置类别中分配用于打开插件设置面板的手势。

如要使用单手键入，请选中相应的复选框，或者如您希望使用标准模式（双手）键入，请确保不选中该复选框。

您还可以选择 NVDA 是否应该读出单个类型点（使用 ）"单手模式"的功能）。

如果您希望在单手键入时自动发送点，请使用旋转控件将超时设置为大于 0。

此外，您还可以设置在单手输入时发送、清除和组合点的字符，以及在单手或标准模式下要忽略的字符。

还可以在插件设置面板中恢复默认设置。

## 如何使用

1. 按 NVDA+0 启用盲文输入。此手势可以从输入手势对话框的盲文类别更改。
2. 通过在 PC 键盘上同时按下一组按键来键入盲文，就好像在盲文键盘上键入一样。

	* 如用双手输入文本，请使用 QWERTY 键盘布局的以下按键，或其他键盘布局相应位置的按键：

		* f、d 和 s分别代表 1、2 和 3 点。
		* j、k 和 l分别代表 4、5 和 6 点。
		* 使用 a 和分号（;）分别代表 7 和 8 点。
		* 您也可用上一行中的相应按键，即 q、w、e、r、u、i、o 和 p。

	* 如用单手键入文本，则可以同时或多次按键来编写字符，并添加与所需字符相对应的点。添加所有点后，请按g或h键以键入该字符。如果在键入字符时出错，可以在键入字符之前，按t或y清除点。
	  QWERTY 键盘布局中使用的按键如下：

		* 左手： f、 d、 s、 r、 e、 w、 a、 q 分别代表 1、 2、 3、 4、 5、 6、 7 、 8 点。
		* 右手： j、 k、 l、 u、 i、 o、 分号（;）、 p 分别代表 1、 2、 3、 4、 5、 6、 7、 8 点。

3. 您可以照常使用大多数其他按键，包括空格键、退格键、回车键和功能键。请注意不要按下 alt + shift，因为更改键盘布局可能会影响键入的点。
4. 按下空格键加盲文点组合即可移动系统光标（或读出当前行），即使您使用的是点显器。例如，空格 + 1 点模拟上光标，空格 + 4、 5、 6
   点模拟Ctrl + end，空格 + 1、 4 点读出当前行，等等。
5. 按 NVDA + 0 禁用盲文输入。

## 重要提示

此插件使用 NVDA 的内置盲文输入支持。因此，使用的输入表是 NVDA 的盲文设置对话框中指定的输入表。

某些键盘，尤其是笔记本电脑键盘，无法处理按下的某些按键组合。发生这种情况时，会忽略某些按键。不幸的是，没有什么办法可以解决此问题，因为 Windows
及 NVDA 从未接收到按键指令。在某些情况下，用单手或双手使用上排按键可能会有所帮助，因为键盘可能允许这些按键。


## 28.0.0 的更改

* 更改了单手模式的默认值。

## 2023年2月23日的更改

* 新增了配置在单手模式下用于输入点的按键的功能。
* 现在您可以设置在输入盲文时要忽略的按键。
* 插件设置面板中添加了恢复默认值按钮。
* 兼容 NVDA 2023.1。

## 2022.1 的更改

* 添加了配置键以在用单手键入时发送和清除点的功能。此外，可以设置超时自动发送点，而无需按确认键。

## 2021.1 的更改

* 当单手模式未激活或按下空格时，NVDA 不会尝试说出点。
* 兼容 NVDA 2021.1。

## 2020.1 的更改

* 您可以按空格键加盲文点组合来模拟手势，类似于点显器中可用的命令。
* 添加了一个选项，用于使用单手模式键入单点。

## 贡献者

* James Teh
* Noelia.
* Mohammadreza Rashad
* Cagri Dogan
* Bernd Dorer
* Ângelo Abrantes
* Cyrille Bougot
* Abdel.

[[!tag dev stable]]

[3]: https://www.nvaccess.org/addonStore/legacy?file=pckbbrl-o
